#
# Conditional build:
%bcond_without	vala		# do not build Vala API
#
Summary:	GObject contact aggregation library
Name:		folks
Version:	0.9.5
Release:	1
License:	LGPL v2+
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/folks/0.9/%{name}-%{version}.tar.xz
# Source0-md5:	6faaf2c4de0e0863a5272f19837c693e
Patch0:		gir.patch
URL:		https://live.gnome.org/Folks
BuildRequires:	autoconf >= 2.65
BuildRequires:	automake >= 1:1.11
BuildRequires:	dbus-glib-devel
BuildRequires:	evolution-data-server-devel >= 3.9.1
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.32.0
BuildRequires:	gobject-introspection-devel >= 1.30.0
BuildRequires:	intltool >= 0.50.0
BuildRequires:	libgee-devel >= 0.8.4
BuildRequires:	libsocialweb-devel >= 0.25.20
BuildRequires:	libtool
BuildRequires:	libxml2-devel
BuildRequires:	pkgconfig >= 1:0.21
BuildRequires:	readline-devel
BuildRequires:	ncurses-devel
BuildRequires:	tar >= 1:1.22
BuildRequires:	telepathy-glib-devel >= 0.19.0
BuildRequires:	tracker-devel >= 0.16.0
%if %{with vala}
BuildRequires:	vala >= 2:0.17.6
#BuildRequires:	valadoc >= 0.3.1
BuildRequires:	vala-evolution-data-server >= 3.8.1
BuildRequires:	vala-libgee >= 0.8.4
BuildRequires:	vala-libsocialweb >= 0.25.20
BuildRequires:	vala-telepathy-glib >= 0.19.0
BuildRequires:	vala-zeitgeist >= 0.9.14
BuildRequires:	vala-tracker >= 0.16.0
%endif
BuildRequires:	xz
BuildRequires:	zeitgeist-devel >= 0.9.14
Requires:	libgee >= 0.8.4
Requires:	evolution-data-server-libs >= 3.8.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libfolks is a library that aggregates people from multiple sources
(e.g. Telepathy connection managers and eventually evolution data
server, Facebook, etc.) to create meta-contacts.

%package devel
Summary:	Development files for folks libraries
Summary(pl.UTF-8):	Pliki programistyczne bibliotek folks
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	evolution-data-server-devel >= 3.8.1
Requires:	glib2-devel >= 1:2.32.0
Requires:	libgee-devel >= 0.8.4
Requires:	libsocialweb-devel >= 0.25.20
Requires:	telepathy-glib-devel >= 0.19.0
Requires:	tracker-devel >= 0.16.0

%description devel
Development files for folks libraries.

%description devel -l pl.UTF-8
Pliki programistyczne bibliotek folks.

%package -n vala-folks
Summary:	folks API for Vala language
Summary(pl.UTF-8):	API folks dla języka Vala
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description -n vala-folks
folks API for Vala language.

%description -n vala-folks -l pl.UTF-8
API folks dla języka Vala.

%prep
%setup -q
%patch0 -p1

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-fatal-warnings \
	--disable-silent-rules \
	--disable-static \
	--enable-tracker-backend \
	%{__enable_disable vala vala} \
	--disable-docs

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/folks/*/backends/*/*.la \
	$RPM_BUILD_ROOT%{_libdir}/*.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_bindir}/folks-import
%attr(755,root,root) %{_bindir}/folks-inspect
%attr(755,root,root) %{_libdir}/libfolks.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libfolks.so.25
%attr(755,root,root) %{_libdir}/libfolks-eds.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libfolks-eds.so.25
%attr(755,root,root) %{_libdir}/libfolks-libsocialweb.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libfolks-libsocialweb.so.25
%attr(755,root,root) %{_libdir}/libfolks-telepathy.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libfolks-telepathy.so.25
%attr(755,root,root) %{_libdir}/libfolks-tracker.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libfolks-tracker.so.25
%dir %{_libdir}/folks
%dir %{_libdir}/folks/41
%dir %{_libdir}/folks/41/backends
%dir %{_libdir}/folks/41/backends/eds
%attr(755,root,root) %{_libdir}/folks/41/backends/eds/eds.so
%dir %{_libdir}/folks/41/backends/key-file
%attr(755,root,root) %{_libdir}/folks/41/backends/key-file/key-file.so
%dir %{_libdir}/folks/41/backends/libsocialweb
%attr(755,root,root) %{_libdir}/folks/41/backends/libsocialweb/libsocialweb.so
%dir %{_libdir}/folks/41/backends/ofono
%attr(755,root,root) %{_libdir}/folks/41/backends/ofono/ofono.so
%dir %{_libdir}/folks/41/backends/telepathy
%attr(755,root,root) %{_libdir}/folks/41/backends/telepathy/telepathy.so
%dir %{_libdir}/folks/41/backends/tracker
%attr(755,root,root) %{_libdir}/folks/41/backends/tracker/tracker.so
%{_libdir}/girepository-1.0/*.typelib
%{_datadir}/GConf/gsettings/folks.convert
%{_datadir}/glib-2.0/schemas/org.freedesktop.folks.gschema.xml

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libfolks.so
%attr(755,root,root) %{_libdir}/libfolks-eds.so
%attr(755,root,root) %{_libdir}/libfolks-libsocialweb.so
%attr(755,root,root) %{_libdir}/libfolks-telepathy.so
%attr(755,root,root) %{_libdir}/libfolks-tracker.so
%{_datadir}/gir-1.0/*.gir
%{_includedir}/folks
%{_pkgconfigdir}/folks.pc
%{_pkgconfigdir}/folks-eds.pc
%{_pkgconfigdir}/folks-libsocialweb.pc
%{_pkgconfigdir}/folks-telepathy.pc
%{_pkgconfigdir}/folks-tracker.pc

%if %{with vala}
%files -n vala-folks
%defattr(644,root,root,755)
%{_datadir}/vala/vapi/folks.deps
%{_datadir}/vala/vapi/folks.vapi
%{_datadir}/vala/vapi/folks-eds.deps
%{_datadir}/vala/vapi/folks-eds.vapi
%{_datadir}/vala/vapi/folks-libsocialweb.deps
%{_datadir}/vala/vapi/folks-libsocialweb.vapi
%{_datadir}/vala/vapi/folks-telepathy.deps
%{_datadir}/vala/vapi/folks-telepathy.vapi
%{_datadir}/vala/vapi/folks-tracker.deps
%{_datadir}/vala/vapi/folks-tracker.vapi
%endif
%changelog
* Sat Sep 28 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/folks.git;a=log;h=master

* Sat Sep 28 2013 Artur Frysiak <artur@frysiak.net> 755d6fc
- Fix build when folks-devel is not installed

* Sat Sep 28 2013 Artur Frysiak <artur@frysiak.net> 6a7533f
- Up to 0.9.5

* Thu Aug 01 2013 Marcin Banasiak <marcin.banasiak@gmail.com> aa16349
- Update to 0.9.3

* Sun Jun 16 2013 Marcin Banasiak <marcin.banasiak@gmail.com> 858829d
- BR: vala-zeitgeist1. Release 2

* Thu Jun 13 2013 Marcin Banasiak <marcin.banasiak@gmail.com> 44d64a1
- Update to 0.9.2

* Thu Mar 28 2013 Artur Frysiak <artur@frysiak.net> 50d18e2
- Fixed R in -devel

* Thu Mar 28 2013 Artur Frysiak <artur@frysiak.net> b184178
- Disable docs generation

* Thu Mar 28 2013 Artur Frysiak <artur@frysiak.net> f3eb456
- Updated to 0.9.1

* Tue Dec 04 2012 Jan Rękorajski <baggins@pld-linux.org> f9bec07
- updated URL and libgee deps
- rel 2

* Tue Oct 09 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 568f117
- Updated to 0.8.0 (note: new soname)

* Mon Oct 01 2012 Artur Frysiak <artur@frysiak.net> 7fcdfd7
- Typo

* Mon Oct 01 2012 Artur Frysiak <artur@frysiak.net> 7e23dbc
- 0.7.4

* Mon Aug 13 2012 Łukasz Kieś <kiesiu@pld-linux.org> 826cdda
- updated Vala BR; rel. 3

* Mon Aug 13 2012 Łukasz Kieś <kiesiu@pld-linux.org> f5d05c9
- moved Vala API files to seperate package; rel. 2

* Tue Apr 17 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 61b0634
- updated to 0.6.9

* Tue Mar 27 2012 Łukasz Kieś <kiesiu@pld-linux.org> 26b2788
- updated BRs

* Tue Mar 27 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 6d224ed
- updated to 0.6.8

* Mon Jan 30 2012 lisu <lisu@pld-linux.org> 284540f
- update telepathy-glib-devel BR

* Tue Jan 17 2012 Łukasz Kieś <kiesiu@pld-linux.org> 8b3156f
- updated to 0.6.6
- updated BRs

* Sun Nov 13 2011 Łukasz Kieś <kiesiu@pld-linux.org> a9a389d
- fixed %%files

